<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.10.0"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>MeLOn: C:/Data/Git/MeLOn/feedforward neural network/model/dep/tinyxml2/src/tinyxml2.cpp File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<script type="text/javascript" src="clipboard.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript" src="cookie.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="MeLOn_only.png"/></td>
  <td id="projectalign">
   <div id="projectname">MeLOn
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.10.0 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function(){initNavTree('tinyxml2_8cpp.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#namespaces">Namespaces</a> &#124;
<a href="#define-members">Macros</a>  </div>
  <div class="headertitle"><div class="title">tinyxml2.cpp File Reference</div></div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &quot;<a class="el" href="tinyxml2_8h_source.html">tinyxml2.h</a>&quot;</code><br />
<code>#include &lt;new&gt;</code><br />
<code>#include &lt;cstddef&gt;</code><br />
<code>#include &lt;cstdarg&gt;</code><br />
</div><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="nested-classes" name="nested-classes"></a>
Classes</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtinyxml2_1_1_entity.html">tinyxml2::Entity</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtinyxml2_1_1_long_fits_into_size_t_minus_one.html">tinyxml2::LongFitsIntoSizeTMinusOne&lt; bool &gt;</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtinyxml2_1_1_long_fits_into_size_t_minus_one_3_01false_01_4.html">tinyxml2::LongFitsIntoSizeTMinusOne&lt; false &gt;</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="namespaces" name="namespaces"></a>
Namespaces</h2></td></tr>
<tr class="memitem:namespacetinyxml2" id="r_namespacetinyxml2"><td class="memItemLeft" align="right" valign="top">namespace &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacetinyxml2.html">tinyxml2</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="define-members" name="define-members"></a>
Macros</h2></td></tr>
<tr class="memitem:afc6433f9b56e4f18833089b1df629e0a" id="r_afc6433f9b56e4f18833089b1df629e0a"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#afc6433f9b56e4f18833089b1df629e0a">TIXML_SNPRINTF</a>&#160;&#160;&#160;snprintf</td></tr>
<tr class="separator:afc6433f9b56e4f18833089b1df629e0a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a924d10d64b020e9dbcd2b8b024768608" id="r_a924d10d64b020e9dbcd2b8b024768608"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a924d10d64b020e9dbcd2b8b024768608">TIXML_VSNPRINTF</a>&#160;&#160;&#160;vsnprintf</td></tr>
<tr class="separator:a924d10d64b020e9dbcd2b8b024768608"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a96f54d7c855ad92e705510904a040393" id="r_a96f54d7c855ad92e705510904a040393"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a96f54d7c855ad92e705510904a040393">TIXML_SSCANF</a>&#160;&#160;&#160;sscanf</td></tr>
<tr class="separator:a96f54d7c855ad92e705510904a040393"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Macro Definition Documentation</h2>
<a id="afc6433f9b56e4f18833089b1df629e0a" name="afc6433f9b56e4f18833089b1df629e0a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afc6433f9b56e4f18833089b1df629e0a">&#9670;&#160;</a></span>TIXML_SNPRINTF</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define TIXML_SNPRINTF&#160;&#160;&#160;snprintf</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a96f54d7c855ad92e705510904a040393" name="a96f54d7c855ad92e705510904a040393"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a96f54d7c855ad92e705510904a040393">&#9670;&#160;</a></span>TIXML_SSCANF</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define TIXML_SSCANF&#160;&#160;&#160;sscanf</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a924d10d64b020e9dbcd2b8b024768608" name="a924d10d64b020e9dbcd2b8b024768608"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a924d10d64b020e9dbcd2b8b024768608">&#9670;&#160;</a></span>TIXML_VSNPRINTF</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define TIXML_VSNPRINTF&#160;&#160;&#160;vsnprintf</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_2153465d1994426effb356c466256250.html">feedforward neural network</a></li><li class="navelem"><a class="el" href="dir_81c62c849c41b038c690bb0249c57a89.html">model</a></li><li class="navelem"><a class="el" href="dir_d0df07ccd540104d8780f8a3c2a84f63.html">dep</a></li><li class="navelem"><a class="el" href="dir_6560574a97005a9e96489bde3e26171e.html">tinyxml2</a></li><li class="navelem"><a class="el" href="dir_c8a785eb3fd0f0f734834ec21fe8342b.html">src</a></li><li class="navelem"><a class="el" href="tinyxml2_8cpp.html">tinyxml2.cpp</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.10.0 </li>
  </ul>
</div>
</body>
</html>
